#pragma once
#include "global.h"
#include "CMyListBox.h"
#include "CMCPosTable.h"
#include "CMCCharTable.h"
#include "CMyDXList.h"
#include "CMyPicBox.h"
#define CMCEDITOR_MENUINDEX_WINDOW 0
//角色编辑器
class CMCEditor : public CDialog
{
	DECLARE_DYNAMIC(CMCEditor)
	DECLARE_MESSAGE_MAP()
public:
	CMCEditor(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~CMCEditor();
	// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CMCEDITOR };
#endif
	void* pMainEditor = nullptr;
	void UpdateContext();//更新内容
protected:
	void DoDataExchange(CDataExchange* pDX) override;
	BOOL OnInitDialog() override;
	void OnCancel() override;
	void OnEnterKey();//空函数 阻止回车键退出
public:
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnMcposTable();
	afx_msg void OnMccharTable();
	afx_msg void OnAddMc();
	afx_msg void OnEditMc();
	afx_msg void OnDeleteMc();
	afx_msg void OnCopyMc();
	afx_msg LRESULT OnDXListSelChange(WPARAM wParam, LPARAM lParam);
private:
	CStatic* static_id;//id
	CStatic* static_mclist;//角色列表（只是窗口定位用）
	CButton button_dir;//浏览头像
	CStatic* static_face;//头像图像
	CButton radio_creature;//生物
	CButton radio_sprite;//精灵
	CEdit edit_image;//印象
	CEdit edit_label;//名字
	CComboBox combobox_pos;//角色定位
	CComboBox combobox_char;//性格
	CButton radio_female;//雌性
	CButton radio_male;//雄性
	CButton radio_none;//无性别
	CEdit edit_ideal;//理想
	CListBox listbox_set;//设定实现表
	CMyListBox listbox_event;//事件
	CMyListBox listbox_map;//地图
	void DisableCtrl();//禁用控件
	/*---------------子窗口-----------------*/
	CMyDXList pMCList;//角色列表
	std::vector<MyCharacterInfo> mcList;
	CMCPosTable pMCPosTable;
	CMCCharTable pMCCharTable;
	CMyPicBox picbox;
};
